ci: Add Jenkins build and testing scripts

Change-Id: Ifaa9dc8ba7c5185c0d20ea3a3784638cbb9efbaa
diff --git a/.jenkins.d/01-dependencies.sh b/.jenkins.d/01-dependencies.sh
new file mode 100755
index 0000000..01ddadb
--- /dev/null
+++ b/.jenkins.d/01-dependencies.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+set -x
+
+sudo apt-get -y install liblog4cxx10-dev protobuf-compiler libprotobuf-dev pkg-config || true
+sudo brew update || true
+brew install log4cxx protobuf pkg-config || true
+